#!/bin/bash 

#java command
#first, let's try which
JAVACMD=$(which java)
if [ ! -e "$JAVACMD" ]; then
	# JAVA_HOME set?
	if [ "" != "$JAVA_HOME" ]; then
		JAVACMD="$JAVA_HOME/bin/java"
	else
		#let's try the /usr/java
		javalist=$(find /usr/java/*/bin/java )
		for java in $javalist; do
			if [ "" = "$JAVACMD" ]; then
				JAVACMD=$java
			elif [ "$java" -nt "$JAVACMD" ]; then
				JAVACMD=$java
			fi
		done
	fi
fi

if [ -z "$JAVACMD" ]; then
	echo "Java VM not found. Please use -java=/path/to/java to specify the java command location"
	echo "Please push any key for closing."
	read -n 1
	exit 1	
fi 

#set codepage for Ubuntu
etcissue=$(cat /etc/issue)
if echo "$etcissue" | grep -q "Ubuntu"
then
     echo "Set codepage for Ubuntu"
     export LC_ALL=de_DE.ISO-8859-15
fi

#JAVACMD="$JAVACMD -DTRACE=TRUE -jar bXp-5.8.0-linux-gtk-install.jar"
JAVACMD="$JAVACMD -jar bXp-5.8.0-linux-gtk-install.jar"
echo $JAVACMD
$JAVACMD
